package com.fuzamei.util;

public class Area{
	public static final int NUMERIC = 1; 
	public static final int STRING = 2; 
	public static final int DATE = 3; 
	private Integer fromCol;	//从第几列开始(第一列是0)
	private Integer toCol;		//到第几列为止(第一列是0)
	private Integer fromRow;	//从第几行开始(第一行是0)
	private Integer toRow;		//到第几行为止(第一行是0)
	private int compareType;	//比较的数据类型
	
	//针对一块区域
	public Area(int fromCol,int toCol,int fromRow,int toRow,int compareType) {
		this.fromCol=fromCol;
		this.toCol=toCol;
		this.fromRow=fromRow;
		this.toRow=toRow;
		this.compareType = compareType;
	}
	//针对一个cell区域
	public Area(int colPos,int rowPos,int compareType) {
		this.fromCol=colPos;
		this.toCol=colPos;
		this.fromRow=rowPos;
		this.toRow=rowPos;
		this.compareType = compareType;
	}
	public Integer getFromCol() {
		return fromCol;
	}

	public Integer getToCol() {
		return toCol;
	}
	public Integer getFromRow() {
		return fromRow;
	}
	public Integer getToRow() {
		return toRow;
	}
	public int getCompareType() {
		return compareType;
	}
}
